/* for css */

 @font-face {
  font-family: 'Inter';
  src: url('../assets/fonts/Inter/Inter-VariableFont_opsz,wght.ttf') format('truetype');
  font-weight: 100 900;
  font-style: normal;
} 

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
	scroll-behavior: smooth;
}

body {
	background-color: rgb(0, 0, 0);
	font-family: 'Inter', 'Montserrat', sans-serif;
	max-width: 1120px;
	margin: 0 auto;
	color: rgba(243, 244, 246, 1);
}

.greenify {
	color: rgba(34, 197, 94, 0.85);
}

/* for js */
.hidden {
  opacity: 0;
  filter: blur(5px);
  transform: translateY(100%);
  transition: all 0.5s ease-in-out;
}

.show {
  opacity: 1;
  filter: blur(0);
  transform: translateX(0);
}

.hidden:nth-child(8)  { transition-delay: 200ms; }
.hidden:nth-child(9)  { transition-delay: 400ms; } 
.hidden:nth-child(10) { transition-delay: 600ms; } 
.hidden:nth-child(11) { transition-delay: 800ms; }

/* Header */

header {
	background-color: rgba(0, 0, 0, 1);
	border-bottom-style: solid;
	border-bottom-width: 1px;
	border-bottom-color: rgba(219, 234, 254, 0.2);
	font-family: 'Inter', sans-serif;	

	margin: 0;
	position: sticky;
	top: 0;           
	z-index: 10;
}

.topHeader {
	display: flex;
	align-items: center;
	justify-content: space-between;

	margin: 0;
}

#name {
	width: 4rem;
}

nav {
	display: flex;
}

.topBtn {
	width: 6em;
	padding: 0.8em 3em;
	border-width: 0px;
	cursor: pointer;
	font-size: 1em;
	background-color:rgba(0, 0, 0, 0);
	color: rgb(255, 255, 255);
	font-weight: bold;
	text-decoration: none;
	transition: all 0.3s ease-in-out;
	
	display: flex;
	align-items: center;
	justify-content: center;
	gap: 0.5em;
}

.topBtn:hover {
	background-color: rgba(17, 26, 39, 1);
}

.topBtn.active {
	background-color: rgba(17, 26, 39, 1);
}

/* Hero Section */
.hero_section {
	color: rgb(255, 255, 255);
	width: 100%;
	max-width: 100%;

	min-height: calc(100vh - 65px);
	margin-bottom: 8rem;

	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: flex-start;
	gap: 2rem;

	position: relative;
    overflow: hidden;
	z-index: 1
}

.hero_section::before {
    content: "";
    position: absolute;

    top: 32%;
    left: 24%;
    transform: translate(-50%, -50%);
    
    width: 30vw; 
    height: 30vw;
	max-width: 800px;
    
    background: radial-gradient(
        circle, 
        rgba(34, 197, 94, 0.45) 0%,   
        rgba(34, 197, 94, 0.15) 40%,  
        transparent 80%           
    );
    
    filter: blur(80px); 
    z-index: -1;
	opacity: 1;
}

@keyframes pulseGlow {
    0% { 
        transform: translate(-50%, -50%) scale(1); 
        opacity: 0.5; 
    }
    50% { 
        transform: translate(-50%, -50%) scale(1.2); 
        opacity: 0.8; 
    }
    100% { 
        transform: translate(-50%, -50%) scale(1); 
        opacity: 0.5; 
    }
}

.hero_section::before {
    animation: pulseGlow 6s ease-in-out infinite;
}

#hero_introduction {
	color: rgba(34, 197, 94, 1);
	font-size: 40px;
	margin: 0;
}

#hero_name {
	color: rgba(243, 244, 246, 1);
	font-size:100px;
	margin: 0;
	margin-bottom: 5px;
	font-weight: 900;
}

#hero_field {
	color: #22c55e;;
	font-size: 30px;
	margin: 0;
	margin-bottom: -14px;
}

.hero_identity {
	display: flex;
	flex-direction: column;
	gap: 0.2rem;
}

.hero_main {
	display: flex;
	flex-direction: column;
	gap: 12px; 
}

#hero_secondField {
	color: rgba(255, 255, 255, 0.65);;
	font-size: 25px;
	margin: 0;
	font-weight: 600;
}

#hero_desc {
	color: rgba(255, 255, 255, 0.5);
	font-size: 25px;
	margin: 0;
	margin-bottom: 12px;
	font-weight: 600;
}

.hero_tech {
	display: flex;
	gap: 1rem;
}

.hero_tech .hero_tags {
	width: 130px;
	display: flex;
	align-items: center;
	justify-content: center;
}

.hero_cta {
	display: flex;
	flex-direction: column;
	gap: 3rem;
}

.identity_divider {
	height: 1px;
    width: 60%; /* Keep it from stretching across the whole screen */
    background: linear-gradient(
        90deg, 
        transparent, 
        rgba(255, 255, 255, 0.1), /* Very subtle white in the center */
        transparent
    );
    margin: 1.5rem 0;
}

.primary_buttons {
	display: flex;
	gap: 1.5rem;
	margin-bottom: 2.4rem;
	font-size: 15px;
}

#view_btn {
	display: flex;
	align-items: center;
	justify-content: center;
	height: 46px;
	width: 10rem;
	padding: 1rem;
	cursor: pointer;

	background-color: rgba(34, 197, 94, 1);
	color: rgba(7, 17, 10, 1);
	border: none;
	border-radius: 6px;
	border-color: rgba(44, 44, 44, 1);
	transition: all 0.3s ease-in-out;
	text-decoration: none;
}

#view_btn:hover {
	background-color: rgba(20, 184, 74, 1);
}

#dl_btn {
	display: flex;
	align-items: center;
	justify-content: center;
	height: 46px;
	width: 10rem;
	padding: 1rem;
	cursor: pointer;

	border: none;
	border-style: solid;
	border-width: 2px;
	background-color: rgba(34, 197, 94, 0);
	color: rgba(243, 244, 246, 1);
	border-radius: 6px;
	border: 1px solid rgba(34, 197, 94, 0.3);
	transition: all 0.3s ease-in-out;
	text-decoration: none;
}

#dl_btn:hover {
	background-color: rgba(17, 26, 39, 1);
	border-color: rgba(58, 75, 102, 1);
}

.socials {
	display: flex;
	gap: 12px;
}

.tags_btn{
	width: 8rem;
	height: 2.5rem;

	font-family: 'Inter', sans-serif;
	padding: 1rem 2rem;
	text-decoration: none;
	font-size: 14px;
	cursor: pointer;
	color: rgba(243, 244, 246, 1.0);

	background: radial-gradient(
        circle at top left, 
        rgba(255, 255, 255, 0.05) 0%, 
        rgba(0, 0, 0, 0.2) 100%
    );
    
    backdrop-filter: blur(15px);
    -webkit-backdrop-filter: blur(15px);
    
    border: 1px solid rgba(255, 255, 255, 0.1);
    border-radius: 8px;
    box-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.5);


	display: flex;
	justify-content: center;
	align-items: center;
	gap: 5px;
	transition: all 0.3s ease-in-out;
}

.tags_btn:hover{
	color: #ffffff; 
    transform: translateY(-3px); 
    
    background: radial-gradient(
        circle at top left, 
        rgba(255, 255, 255, 0.15) 0%, 
        rgba(255, 255, 255, 0.05) 50%,
        rgba(0, 0, 0, 0.3) 100%
    );
    
    border-color: rgba(255, 255, 255, 0.4);
    
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.4), 
                0 0 15px rgba(99, 102, 241, 0.1);
}

.tags_img {
	width: 40%;
	filter: invert(100%);
	color: rgba(243, 244, 246, 1.0);
}

#gh_btn {
	width: 38%;
}

#em_btn {
	margin-right: 5px;
	width: 24%;
	filter: brightness(0) invert(100%);
}


/* About Section */
.about_section {
	display: flex;
	align-items: flex-start;
	gap: 30px;

	margin-bottom: 10rem;
}

/* Profile Column */
.profile_section {
	flex: 1;

	display: flex;
	flex-direction: column;
	gap: 30px;
}

#about_heading {
	font-size: 50px;
	margin-bottom: 1rem;
}

#profile_picture {
	width: 140px;
	border-radius: 50%;
	margin-bottom: 1rem;
	object-fit: cover;
}

#profile_name {
	margin-bottom: -25px;
	font-size: 20px;
}

#profile_title {
	color: rgba(156, 163, 175, 0.6);
	font-size: 20px;
	margin-bottom: 1rem;
}

#profile_description {
	width: 80%;
	color: rgba(243,244,246,0.70);
	font-weight: bold;
	font-size: 18px;
	margin-bottom: 1rem;
	line-height: 170%;
}

#profile_focus {
	margin-left: 2rem;
	font-weight: bold;
	font-size: 18px;
	line-height: 170%;
	color: rgba(243,244,246,0.70);
}

/* Demo Reel Column */
.demo_section{
	flex: 1;
	
	display: flex;
	flex-direction: column;
	gap: 2rem;
}

.demo_reel {
	background-color: rgba(15, 22, 33, 0.8);
	border-style: solid;
	border-width: 1px;
	border-color: rgba(36, 48, 65, 1.0);
	width: 100%;
	max-width: 640px;
	aspect-ratio: 16 / 9;
	padding: 18px;

	display: flex;
	align-items: center;
	justify-content: center;
	margin-top: 4.5rem;
	box-sizing: border-box;
}

#demo_video {
	width: 100%;
	height: 100%;
	max-width: 680px;
	border: none;
	object-fit: cover;
}

#demo_tags {
	color: rgba(156, 163, 175, 0.6);
	font-size: 14px;
	font-weight: bold;
	margin-bottom: 1rem;
}

#video_title {
	font-size: 20px;
}

#video_description {
	width: 80%;
	color: rgba(243,244,246,0.70);
	font-weight: bold;
	font-size: 18px;
	margin-bottom: 1rem;
	line-height: 160%;
}

/* Skills Section */

.skill_section {
	width: 100%;
	max-width: 100%;
	margin-bottom: 11rem;

	display: flex;
	flex-direction: column;
	align-items: flex-start;
	justify-content: center;
	gap: 3.5rem;
}

#skill_heading {
	font-size: 50px;
	margin-bottom: -50px;
}

#skill_heading::before {
    content: "";
    position: absolute;

    top: 50%;
    left: 35%;
    transform: translate(-50%, -50%);
    
    width: 30vw; 
    height: 30vw;
	max-width: 800px;
    
    background: radial-gradient(
        circle, 
        rgba(34, 197, 94, 0.45) 0%,   
        rgba(34, 197, 94, 0.15) 40%,  
        transparent 80%           
    );
    
    filter: blur(80px); 
    z-index: -1;
	opacity: 1;
	animation: pulseGlow 6s ease-in-out infinite;
}

.tech_divider {
	height: 2px;
	width: 100%;
	background-color: rgba(255, 255, 255, 0.10);
}

.skill_flex {
	display: flex;
	flex-direction: column;
	flex: 1 1 0;
	gap: 15px;
}

.tech_stack_section {
	display: flex;
	gap: 50px;
	position: relative;
}

.tags_row {
	flex-wrap: wrap;
}

.skill_type {
	display: flex;
	align-items: center;
	color: rgba(156, 162, 175, 1);
	position: relative;
    padding-bottom: 8px;
}

.skill_type::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    width: 30px; 
    height: 2px;
    background-color: #22c55e;
}

.skill_divider {
	height: 4px;
	background: linear-gradient(
        90deg, 
        transparent, 
        rgba(34, 197, 94, 0.2), 
        transparent
    );	
	margin-bottom: 20px;
}

.tags_skill {
	width: 150px;

	display: flex;
	align-items: center;
	gap: 10px;

	background: rgba(255, 255, 255, 0.03);
    backdrop-filter: blur(8px);
    border: 1px solid rgba(255, 255, 255, 0.08); 
    border-radius: 8px;
    transition: all 0.4s ease;
}

.tags_skill:hover {
	transform: translateY(-3px);
    background: rgba(34, 197, 94, 0.05); 
    border-color: var(--brand-color); 
    box-shadow: 
        0 0 20px rgba(from var(--brand-color) r g b / 0.15), 
        inset 0 1px 2px rgba(255, 255, 255, 0.2);
}

.skill_pills {
	justify-content: flex-start;
	padding-left: 15px;

	position: relative;

    display: flex;
    align-items: center;
    
	background: rgba(17, 17, 17, 0.65); 
    backdrop-filter: blur(14px);
    -webkit-backdrop-filter: blur(14px);
    
    box-shadow: 
        inset 0 1px 1px rgba(255, 255, 255, 0.15), 
        inset 0 0 20px rgba(255, 255, 255, 0.02),   
        0 10px 30px rgba(0, 0, 0, 0.5);            

    border: 1px solid rgba(255, 255, 255, 0.05);
}

#respo_tag {
	width: 220px;
}

.skill_logo {
	max-width: 16px;
	max-height: 16px;
	/* object-fit: cover; */
}

#gh_img {
	filter: brightness(0) invert(1);
}

#vt_img {
	min-width: 20px;
}

#ver_img {
	filter: invert(1)
}

.pulse_dot {
  display: inline-block;
  width: 8px;
  height: 8px;
  border-radius: 50%;
  background: #22c55e; 
  box-shadow: 0 0 0 rgba(34, 197, 94, 0.4);
  animation: pulse 2s infinite;
  margin-left: 8px;
}

@keyframes pulse {
  0% {
    box-shadow: 0 0 0 0 rgba(34, 197, 94, 0.7);
  }
  70% {
    box-shadow: 0 0 0 10px rgba(34, 197, 94, 0);
  }
  100% {
    box-shadow: 0 0 0 0 rgba(34, 197, 94, 0);
  }
}

/* Projects Section */
.project_section {
	display: flex;
	flex-direction: column;
	gap: 0.8rem;
	margin-bottom: 4rem;
}

#project_heading {
	font-size: 40px;

	display: flex;
	justify-content: space-between;
	align-items: baseline;
}

#view_all a{
	font-size: 20px;
	padding: 1rem;
	color: rgba(243,244,246,0.70);
	text-decoration: none;

	transition: all 0.3s ease-in-out;
	cursor: pointer;
}

#view_all {
	display: flex;
	justify-content: center;
	transform: translateY(-15px);
}

#view_all a:hover {
	background-color: rgba(20, 30, 46, 1);
	color: rgba(34, 197, 94, 0.85);;
}

#featured_heading {
	margin-top: 1rem;
	font-size: 30px;
}

.featured_project {
	display: flex;
	justify-content: center;
	align-items: flex-start;
	gap: 2rem;
	width: 99%;
	margin-bottom: 2rem;

	background: radial-gradient(
        circle at 20% 20%, 
        rgba(99, 102, 241, 0.25) 0%,   
        rgba(255, 255, 255, 0.05) 45%, 
        rgba(0, 0, 0, 0.3) 100%        
    );
	padding: 16px;
	border: 1px solid rgba(255, 255, 255, 0.1);
	border-radius: 10px;
	-webkit-backdrop-filter: blur(10px);
	backdrop-filter: blur(10px);
	transition: all 0.3s ease-in-out;
}

.featured_project::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%; 
    height: 100%; 
    background: radial-gradient(circle at 20% 30%, rgba(99, 102, 241, 0.15) 0%, transparent 50%),
                radial-gradient(circle at 80% 70%, rgba(99, 102, 241, 0.1) 0%, transparent 50%);
    filter: blur(100px);
    z-index: -1;
}

.featured_project > a {
    display: contents; 
    text-decoration: none;
    color: inherit;
}

.featured_project:hover{
    transform: scale(1.a01);
    border-color: rgba(255, 255, 255, 0.35);
    background: radial-gradient(
        circle at 20% 20%, 
        rgba(99, 102, 241, 0.3) 0%,  
        rgba(255, 255, 255, 0.08) 50%, 
        rgba(0, 0, 0, 0.3) 100%
    );
    box-shadow: 0 20px 40px rgba(0, 0, 0, 0.6), 
                0 0 20px rgba(99, 102, 241, 0.1);
}

#featured_thumbnail {
	width: 40%;
	flex: 1;
	border-radius: 10px;
	object-fit: cover;
}

.project_info {
	flex: 1;
	display: flex;
	flex-direction: column;
	gap: 1.5rem;;
}

#project_title{
	font-size: 32px;
	margin-top: 7px;
	display: flex;
	justify-content: space-between;
}

#featured_link {
	width: 30px;
	height: 30px;
	object-fit: cover;
	filter: invert(100%);
	color: rgba(156, 163, 175, 0.46);
	transform: translateX(8px) translateY(-10px)
}

.featured_tags {
	display: flex;
	gap: 10px;
	padding-left: 0;
    margin-left: 0
}

.featured_btn{
	width: 6rem;
	height: 2rem;
	background-color: rgba(15, 22, 33, 1.0);
	color: rgba(243, 244, 246, 1.0);
	font-family: 'Inter', sans-serif;
	padding: 1rem 2rem;
	text-decoration: none;
	font-size: 12px;
	cursor: pointer;

	border: none;
	border-radius: 15px;
	border-style: solid;
	border-color: rgba(44, 44, 44, 1.0);
	border-width: 1px; 


	display: flex;
	justify-content: center;
	align-items: center;
	gap: 5px;
	transition: all 0.3s ease-in-out;
}

.featured_btn:hover{
	background-color: rgba(20, 30, 46, 1);
	border-color: rgba(58, 75, 102, 1);
}

.divider {
	height: 1px;
	border: none;
	background-color: rgba(156, 163, 175, 0.46);
}

#featured_description {
	width: 100%;
	font-size: 16px;
	color: rgba(156, 163, 175, 1.0);
}

#featured_mobile {
	display: none;
}

/* More Projects */

.project_section{
	display: flex;
	
}

#project_heading {
	font-size: 50px;
}

#more_header {
	font-size: 30px;
	margin-bottom: 2rem;
}

.more_section {
	gap: 1rem;
}

.project_container {
	display: flex;
	flex-wrap: wrap;
	gap: 1rem;

	position: relative;
    background-color: #000; 
    z-index: 1;
}

.project_container::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%; 
    height: 100%; 
    background: radial-gradient(circle at 20% 30%, rgba(99, 102, 241, 0.15) 0%, transparent 50%),
                radial-gradient(circle at 80% 70%, rgba(99, 102, 241, 0.1) 0%, transparent 50%);
    filter: blur(100px);
    z-index: -1;
}

.project_card {
	flex: 0 1 calc(50% - 1rem);
	background: radial-gradient(
        circle at 20% 20%, 
        rgba(99, 102, 241, 0.25) 0%,   
        rgba(255, 255, 255, 0.05) 45%, 
        rgba(0, 0, 0, 0.3) 100%        
    );
	border-radius: 10px;
	border: 1px solid rgba(255, 255, 255, 0.1);
	-webkit-backdrop-filter: blur(10px);
	backdrop-filter: blur(10px);

	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: flex-start;
	gap: 10px;
	position: relative;
	overflow: hidden;
	
	transition: all 0.3s ease-in-out;
}

.project_card:hover {
    transform: translateY(-10px) scale(1.001);
    border-color: rgba(255, 255, 255, 0.35);
    background: radial-gradient(
        circle at 20% 20%, 
        rgba(99, 102, 241, 0.3) 0%,  
        rgba(255, 255, 255, 0.08) 50%, 
        rgba(0, 0, 0, 0.3) 100%
    );
    box-shadow: 0 20px 40px rgba(0, 0, 0, 0.6), 
                0 0 20px rgba(99, 102, 241, 0.1);
}

#adjust_link {
	position: absolute;
	top: 10px;
	right: 10px;
	z-index: 10;

	background-color: rgba(18, 28, 42, 0.50);
	border-radius: 5px;
	padding: 2px;	
}

.project_image {
	aspect-ratio: 16 / 9;
	width: 100%;
	height: 80%;
	object-fit: cover;
	border-radius: 10px;
	border-bottom-left-radius: 0px;
	border-bottom-right-radius: 0px;
	text-decoration: none;
}

.project_contents {
	display: flex;
	flex-direction: column;
	gap: 18px;
	padding: 15px;
}

.project_head {
	display: flex;
	justify-content: space-between;
	position: relative;
	width: 100%;
	font-weight: bold;
}

.project_btn {
	height: 15px;
	border-radius: 7px;
	padding: 1px auto;
}


.project_divider {
	width: 100%;
	height: 1px;
	background-color: rgba(156, 163, 175, 0.46);
	align-self: center;
}

.proj_desc {
	color: rgba(156, 163, 175, 1.0);
}

.adjust_btn{
	width: 7rem;
}

.project_source {
	display: flex;
	gap: 10px;
	margin-top: 5px;
}

.src_button {
	display: flex;
	justify-content: center;
	align-items: center;
	gap: 10px;
	width: 150px;
	height: 2rem;
	padding: 18px 0;

	border: rgba(44, 44, 44, 1.0) solid 1px;
	border-radius: 10px; 
	text-decoration: none;
	color: rgba(243, 244, 246, 1.0);
	font-size: 12px;
}

#live_btn {
	background-color: rgba(34, 197, 94, 1);
	color: rgba(7, 17, 10, 1);
}

#live_btn:hover {
	background-color: rgba(20, 184, 74, 1);	
}

#play_svg {
	width: 11%;
}

.src_img {
	width: 15%;
	object-fit: cover;
}

/* Contacts Section */
.contact_section {
	width: 100%;
	max-width: 100%;
	display: flex;
	flex-direction: column;

	margin-bottom: 5rem;
}

#contact_heading {
	font-size: 50px;
	margin-top: 3rem;
}

#contact_description {
	color: rgba(156, 162, 175, 1);
	font-size: 22px;
}

/* Get in Touch */
.message_main {
	display: flex;
	align-items: center;
	min-height: 80vh;
	gap: 5rem;
}

.touch_section {
	display: flex;
	flex-direction: column;
	gap: 0.5rem;

	font-size: 12px;
}

.muted_contact {
	color: rgba(156, 162, 175, 1);
}

.contact_text {
	color: rgba(243, 244, 246, 1.0);
}

.touch_links {
	margin: 3.2rem 0rem; 

	display: flex;
	align-items: center;
	gap: 1rem;
}

.link {
	width: 30px;
	height: 30px;
	object-fit: cover;
	filter: invert(100%);
	color: rgba(156, 163, 175, 0.46);
}

/* Send a message */
.message_section {
	display: flex;
	flex-direction: column;
	gap: 18px;
	width: 42%;

	background: radial-gradient(
        circle at top left, 
        rgba(255, 255, 255, 0.05) 0%, 
        rgba(0, 0, 0, 0.2) 100%
    );
    
    backdrop-filter: blur(15px);
    -webkit-backdrop-filter: blur(15px);
    
    border: 1px solid rgba(255, 255, 255, 0.1);
    border-radius: 20px;
	padding: 2rem 3rem;
	box-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.5);
}

.message_section::before {
    content: "";
    position: absolute;
    bottom: -10%;
    right: -10%;
    width: 400px;
    height: 400px;
    background: radial-gradient(circle, rgba(99, 102, 241, 0.15) 0%, transparent 70%);
    filter: blur(100px);
    z-index: -1;
}

#message_header {
	font-weight: 500;
	margin-bottom: -10px;
}

#message_description {
	color: rgba(156, 162, 175, 1);
	font-size: 12px;
}

.message_input {
	width: 100%;
	height: 44px;
	padding-left: 12px;

	outline: none;
	border: none;
	background: rgba(255, 255, 255, 0.03);
    border: 1px solid rgba(255, 255, 255, 0.1);
    border-radius: 8px;
    color: white;
    transition: all 0.3s ease;
}

.message_section input:focus {
    background: rgba(255, 255, 255, 0.07);
    border-color: rgba(99, 102, 241, 0.5); /* Matches your purple glow */
    outline: none;
}

#input_message {
	height: 140px;
	white-space: pre-wrap;   
	overflow-wrap: break-word; 
	resize: vertical;  
	padding-top: 10px;

	font-family: 'Inter', sans-serif;
}

#send_button {
	display: flex;
	align-items: center;
	justify-content: center;
	height: 46px;
	width: 100%;
	padding: 1rem;
	cursor: pointer;

	background-color: rgba(34, 197, 94, 1);
	color: rgba(7, 17, 10, 1);
	border: none;
	border-radius: 6px;
	border-color: rgba(44, 44, 44, 1);
	transition: all 0.3s ease-in-out;
	text-decoration: none;
}

#send_button:hover {
	background-color: rgba(20, 184, 74, 1);
}


/* Projects Page */
.projects_section {
	width: 100%;
	max-width: 100%;
	display: flex;
	flex-direction: column;
	gap: 1rem;
}

.project_page {
	margin-top: 3rem;
	margin-bottom: 5rem;
}

.project_search {
	margin-top: 1.5rem;
	margin-bottom: 2rem;

	display: flex;
	align-items: center;
	gap: 1rem;
}

#search_input {
	width: 45%;
	border-radius: 12px;
}

#search_icon {
	color: rgba(156, 162, 175, 1);
	width: 1.3rem;
	transform: translateX(-50px);
}

.project_page_column {
	display: flex;
	justify-content: center;
	flex-wrap: wrap;
	flex-shrink: 0;

	gap: 2rem;
}

.project_column {
	flex: 1 calc(50% - 1rem);
	width: 80%;
	background-color: rgba(15, 22, 33, 1.0);
	border-radius: 10px;
	padding-bottom: 20px;
	border-style: solid;
	border-width: 1px;
	border-color: rgba(36, 48, 65, 1.0);

	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: flex-start;
	gap: 10px;
	position: relative;
	min-width: 350px;
	
	transition: all 0.3s ease-in-out;
}

.project_column:hover {
	transform: translateY(-4px);
 	border-color: rgba(34, 197, 94, 0.3);
 	box-shadow: 0 18px 60px rgba(0,0,0,0.55);
  	background: rgba(18, 28, 42, 1)
}

.get_btn {
	width: 115px;
}

/* Footer */
.footer {
	margin: 4rem 0 0 0;
	padding: 2rem 0 3rem 0;
	text-align: center;

	border-style: solid;
	border-top-width: 1px;
	border-left-width: 0px;
	border-right-width: 0px;
	border-bottom-width: 0px;
	border-color: rgba(34, 197, 94, 0.18);

	display: flex;
	flex-direction: column;
	gap: 10px;
}

.footer_name {
	color: rgba(243, 244, 246, 1);
	font-size: 26px;
}

.footer_desc {
	color: rgba(156, 163, 175, 0.85);
	margin-bottom: 1rem;
	font-size: 16px;
	font-weight: 600;
}

.copyright {
	color: rgba(34, 197, 94, 0.75);
	font-size: 14px;
}

.next_line {
	display: block;
}

/* Mobile View */
.hamburger_icon {
	display: none;
	transform: translateX(-15px);
}

.hamburger_line {
	width: 25px;
	height: 3px;
	background-color: rgba(243, 244, 246, 1);
	margin: 6px 0;
	transition: all 0.1s ease-in-out;
}

.hamburger_menu {
	display: none;
}

@media (max-width: 600px) {
	/* Home Page */
	main, section{
		max-width: 100%;
	}

	/* Navi Section */
	.navBtn {
		display: none;
	}

	.hamburger_icon {
		display: block;
	}

	.hamburger_menu {
		position: fixed;
		width: 100%;
		max-width: 100%;
		min-height: calc(100vh - 64px);
		top: 64px;
		right: -100%;

		display: flex;
		align-items: center;
		justify-content: center;
		background-color:rgba(0, 0, 0, 0.95);
		font-size: 25px;
		font-weight: 400;
		letter-spacing: 3px;
		transition: all 0.3s ease-in-out;
	}

	.hamburger_menu.hm_active{
		right: 0;
		z-index: 999;
	}

	.menu_list{
		display: flex;
		flex-direction: column;
		gap: 10px;
	}

	.menu_list a{
		display: flex;
		flex-direction: column;
		gap: 10px;
		width: 100%;
		transition: color 0.3s ease-in-out;
	}

	.line_one {
		transform: translateY(1px) rotate(45deg);
		margin: 0;
	}

	.line_two {
		display: none;
	}

	.line_three {
		transform: translateY(-2px) rotate(-45deg);
		margin: 0;
	}


	/* Hero Section */
	.hero_section {
		min-height: calc(100svh - 65px); 
		width: 100%;
		max-width: 100%;
		padding: 0 20px;
	}

	#hero_introduction {
		font-size: 22px;
	}

	#hero_name {
		font-size: 40px;
	}

	#hero_field, #hero_secondField, #hero_desc {
		font-size: 16px;
	}

	.identity_divider{
		margin: 0.5rem 0;
	}

	.hero_cta {
		gap: 10px;
	}

	.hero_tech{
		gap: 10px;
	}

	.hero_tech .hero_tags {
		width: 60px;
		font-size: 8px;
		display: flex;
		align-items: center;
		justify-content: center;
	}

	.primary_buttons{
		gap: 10px;
	}

	#view_btn, #dl_btn {
		height: 22px;
		width: 130px;
		font-size: 14px;
	} 

	#ghub_btn, #li_btn, #gm_btn {
		height: 22px;
		width: 100px;
		font-size: 12px;
		transform: translateY(0px);
	}

	.socials {
		align-items: center;
	}

	/* About Section */
	.about_section {
		flex-direction: column;
		align-items: flex-start;
		gap: 10px;
		padding: 0px 20px;
		max-width: 100%;
	}

	.profile_section {
		align-items: start;
	}

	#about_heading {
		font-size:  40px;
	}

	#profile_title {
		font-size: 15px;
	}

	#profile_description {
		font-size: 17px;
		font-weight: normal;
	}

	#profile_focus_header {
		font-size: 22px;
	}

	#profile_focus {
		list-style: none;
		font-size: 17px;
		font-weight: normal;
		color: rgba(156, 163, 175, 0.85);
	}

	/* Demo Reel Section */
	#demo_tags {
		align-self: center;
	}

	#video_description {
		font-weight: normal;
		font-size: 18px;
	}

	/* Skills Section */
	.skill_section {
		padding: 0 20px;
	}

	#skill_heading {
		font-size:28px;
	}

	#contact_description {
		font-size: 16px;
	}
	
	.tech_divider {
		margin: -25px 0;
	}

	.tech_stack_section {
		flex-wrap: wrap;
	}

	.skill_flex {
		flex: 1 1 100%;
	}

	.tags_skill.skill_pills {
		width: calc(50% - 1rem);
		max-width: 160px;
	}

	.tags_row {
		flex-wrap: wrap;
	}

	#respo_tag, #acc_tag {
		display:none;
	}

	.tags_skill {
		width: 120px;
		font-size: 12px;
	}

	.tags_desc {
		display: none;
	}

	#vs_tag {
		width: 150px;
	}

	#int_tag {
		width: 160px;
	}

	/* Project Section */
	.project_section{
		padding: 0 20px;
		margin-bottom: 1rem;
	}

	#project_heading {
		font-size: 40px;
	}

	#view_all a{
		font-size: 12px;
	}

	#featured_heading {
		font-size: 27px;
	}

	.featured_project {
		display: none;
	}

	#featured_mobile{
		display: flex;
		width: 100%;
		margin-bottom: 50px;
	}

	.project_row {
		flex-wrap: wrap;
		margin-bottom: 30px;
	}

	.project_card {
		gap: 5px;
		width: 85%;
	}

	.project_content {
		max-width: 100%;
		align-items: center;
	}

	.featured_tags {
		max-width: 100%;
		gap:10px;
	}

	.more_section {
		padding: 0;
	}

	.project_container {
		flex-wrap: wrap;
	}

	.project_card {
		flex: 1 1 100%;
	}

	.project_btn {
		width: 25%;
		font-size: 10px;
	}

	.project_head {
		font-size: 20px;
	}

	.project_divider {
		align-self: center;
	}

	.proj_desc {
		font-size: 14px;
	}

	.link {
		display: none;
	}

	.project_page_column {
		padding: 0 20px;
	}

	.project_page {
		padding: 0 20px;
	}

	/* Contact Section */
	.contact_section {
		gap: 10px;
		padding: 0 20px;
	}
	
	#contact_heading{
		font-size: 40px;
	}

	.message_main { 
		flex-direction: column;
	}
	
	.touch_links {
		align-items: flex-start;
	}

	.touch_section{
		max-width: 100%;
	}

	.contact_links {
		flex-direction: column;
	}

	.muted_contact {
		font-size: 16px;
	}

	.contact_text {
		font-size: 16px;
	}

	.contact_heading { 
		font-size: 40px;
	}

	.contact_margin {
		margin-bottom: 50px;
	}

	.message_section {
		padding: 2rem 1.5rem;
		width: 100%;
	}

	/* Project Page */
	#search_input {
		width: 90%;
	}

	.btn_js {
		margin: 0;
	}
}




